Entity (Groovy 5.0.8)

Package: groovy.xml

## [Groovy] Class Entity

- groovy.xml.Entity

- All Implemented Interfaces and Traits:
    Buildable

      class Entity
      extends Object
      implements Buildable

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Entity` | `AElig` |
    `static Entity` | `Aacute` |
    `static Entity` | `Acirc` |
    `static Entity` | `Agrave` |
    `static Entity` | `Aring` |
    `static Entity` | `Atilde` |
    `static Entity` | `Auml` |
    `static Entity` | `Ccedil` |
    `static Entity` | `Dagger` |
    `static Entity` | `ETH` |
    `static Entity` | `Eacute` |
    `static Entity` | `Ecirc` |
    `static Entity` | `Egrave` |
    `static Entity` | `Euml` |
    `static Entity` | `Iacute` |
    `static Entity` | `Icirc` |
    `static Entity` | `Igrave` |
    `static Entity` | `Iuml` |
    `static Entity` | `Ntilde` |
    `static Entity` | `OElig` |
    `static Entity` | `Oacute` |
    `static Entity` | `Ocirc` |
    `static Entity` | `Ograve` |
    `static Entity` | `Oslash` |
    `static Entity` | `Otilde` |
    `static Entity` | `Ouml` |
    `static Entity` | `Scaron` |
    `static Entity` | `THORN` |
    `static Entity` | `Uacute` |
    `static Entity` | `Ucirc` |
    `static Entity` | `Ugrave` |
    `static Entity` | `Uuml` |
    `static Entity` | `Yacute` |
    `static Entity` | `Yuml` |
    `static Entity` | `aacute` |
    `static Entity` | `acirc` |
    `static Entity` | `acute` |
    `static Entity` | `aelig` |
    `static Entity` | `agrave` |
    `static Entity` | `amp` |
    `static Entity` | `apos` |
    `static Entity` | `aring` |
    `static Entity` | `atilde` |
    `static Entity` | `auml` |
    `static Entity` | `bdquo` |
    `static Entity` | `brvbar` |
    `static Entity` | `ccedil` |
    `static Entity` | `cedil` |
    `static Entity` | `cent` |
    `static Entity` | `circ` |
    `static Entity` | `copy` |
    `static Entity` | `curren` |
    `static Entity` | `dagger` |
    `static Entity` | `deg` |
    `static Entity` | `divide` |
    `static Entity` | `eacute` |
    `static Entity` | `ecirc` |
    `static Entity` | `egrave` |
    `static Entity` | `emsp` |
    `static Entity` | `ensp` |
    `static Entity` | `eth` |
    `static Entity` | `euml` |
    `static Entity` | `euro` |
    `static Entity` | `frac12` |
    `static Entity` | `frac14` |
    `static Entity` | `frac34` |
    `static Entity` | `gt` |
    `static Entity` | `iacute` |
    `static Entity` | `icirc` |
    `static Entity` | `iexcl` |
    `static Entity` | `igrave` |
    `static Entity` | `iquest` |
    `static Entity` | `iuml` |
    `static Entity` | `laquo` |
    `static Entity` | `ldquo` |
    `static Entity` | `lrm` |
    `static Entity` | `lsaquo` |
    `static Entity` | `lsquo` |
    `static Entity` | `lt` |
    `static Entity` | `macr` |
    `static Entity` | `mdash` |
    `static Entity` | `micro` |
    `static Entity` | `middot` |
    `static Entity` | `nbsp` |
    `static Entity` | `ndash` |
    `static Entity` | `not` |
    `static Entity` | `ntilde` |
    `static Entity` | `oacute` |
    `static Entity` | `ocirc` |
    `static Entity` | `oelig` |
    `static Entity` | `ograve` |
    `static Entity` | `ordf` |
    `static Entity` | `ordm` |
    `static Entity` | `oslash` |
    `static Entity` | `otilde` |
    `static Entity` | `ouml` |
    `static Entity` | `para` |
    `static Entity` | `permil` |
    `static Entity` | `plusmn` |
    `static Entity` | `pound` |
    `static Entity` | `quot` |
    `static Entity` | `raquo` |
    `static Entity` | `rdquo` |
    `static Entity` | `reg` |
    `static Entity` | `rlm` |
    `static Entity` | `rsaquo` |
    `static Entity` | `rsquo` |
    `static Entity` | `sbquo` |
    `static Entity` | `scaron` |
    `static Entity` | `sect` |
    `static Entity` | `shy` |
    `static Entity` | `sup1` |
    `static Entity` | `sup2` |
    `static Entity` | `sup3` |
    `static Entity` | `szlig` |
    `static Entity` | `thinsp` |
    `static Entity` | `thorn` |
    `static Entity` | `tilde` |
    `static Entity` | `times` |
    `static Entity` | `uacute` |
    `static Entity` | `ucirc` |
    `static Entity` | `ugrave` |
    `static Entity` | `uml` |
    `static Entity` | `uuml` |
    `static Entity` | `yacute` |
    `static Entity` | `yen` |
    `static Entity` | `yuml` |
    `static Entity` | `zwj` |
    `static Entity` | `zwnj` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Entity(String name)`
    `Entity(int name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `build(GroovyObject builder)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final Entity AElig

    - #### public static final Entity Aacute

    - #### public static final Entity Acirc

    - #### public static final Entity Agrave

    - #### public static final Entity Aring

    - #### public static final Entity Atilde

    - #### public static final Entity Auml

    - #### public static final Entity Ccedil

    - #### public static final Entity Dagger

    - #### public static final Entity ETH

    - #### public static final Entity Eacute

    - #### public static final Entity Ecirc

    - #### public static final Entity Egrave

    - #### public static final Entity Euml

    - #### public static final Entity Iacute

    - #### public static final Entity Icirc

    - #### public static final Entity Igrave

    - #### public static final Entity Iuml

    - #### public static final Entity Ntilde

    - #### public static final Entity OElig

    - #### public static final Entity Oacute

    - #### public static final Entity Ocirc

    - #### public static final Entity Ograve

    - #### public static final Entity Oslash

    - #### public static final Entity Otilde

    - #### public static final Entity Ouml

    - #### public static final Entity Scaron

    - #### public static final Entity THORN

    - #### public static final Entity Uacute

    - #### public static final Entity Ucirc

    - #### public static final Entity Ugrave

    - #### public static final Entity Uuml

    - #### public static final Entity Yacute

    - #### public static final Entity Yuml

    - #### public static final Entity aacute

    - #### public static final Entity acirc

    - #### public static final Entity acute

    - #### public static final Entity aelig

    - #### public static final Entity agrave

    - #### public static final Entity amp

    - #### public static final Entity apos

    - #### public static final Entity aring

    - #### public static final Entity atilde

    - #### public static final Entity auml

    - #### public static final Entity bdquo

    - #### public static final Entity brvbar

    - #### public static final Entity ccedil

    - #### public static final Entity cedil

    - #### public static final Entity cent

    - #### public static final Entity circ

    - #### public static final Entity copy

    - #### public static final Entity curren

    - #### public static final Entity dagger

    - #### public static final Entity deg

    - #### public static final Entity divide

    - #### public static final Entity eacute

    - #### public static final Entity ecirc

    - #### public static final Entity egrave

    - #### public static final Entity emsp

    - #### public static final Entity ensp

    - #### public static final Entity eth

    - #### public static final Entity euml

    - #### public static final Entity euro

    - #### public static final Entity frac12

    - #### public static final Entity frac14

    - #### public static final Entity frac34

    - #### public static final Entity gt

    - #### public static final Entity iacute

    - #### public static final Entity icirc

    - #### public static final Entity iexcl

    - #### public static final Entity igrave

    - #### public static final Entity iquest

    - #### public static final Entity iuml

    - #### public static final Entity laquo

    - #### public static final Entity ldquo

    - #### public static final Entity lrm

    - #### public static final Entity lsaquo

    - #### public static final Entity lsquo

    - #### public static final Entity lt

    - #### public static final Entity macr

    - #### public static final Entity mdash

    - #### public static final Entity micro

    - #### public static final Entity middot

    - #### public static final Entity nbsp

    - #### public static final Entity ndash

    - #### public static final Entity not

    - #### public static final Entity ntilde

    - #### public static final Entity oacute

    - #### public static final Entity ocirc

    - #### public static final Entity oelig

    - #### public static final Entity ograve

    - #### public static final Entity ordf

    - #### public static final Entity ordm

    - #### public static final Entity oslash

    - #### public static final Entity otilde

    - #### public static final Entity ouml

    - #### public static final Entity para

    - #### public static final Entity permil

    - #### public static final Entity plusmn

    - #### public static final Entity pound

    - #### public static final Entity quot

    - #### public static final Entity raquo

    - #### public static final Entity rdquo

    - #### public static final Entity reg

    - #### public static final Entity rlm

    - #### public static final Entity rsaquo

    - #### public static final Entity rsquo

    - #### public static final Entity sbquo

    - #### public static final Entity scaron

    - #### public static final Entity sect

    - #### public static final Entity shy

    - #### public static final Entity sup1

    - #### public static final Entity sup2

    - #### public static final Entity sup3

    - #### public static final Entity szlig

    - #### public static final Entity thinsp

    - #### public static final Entity thorn

    - #### public static final Entity tilde

    - #### public static final Entity times

    - #### public static final Entity uacute

    - #### public static final Entity ucirc

    - #### public static final Entity ugrave

    - #### public static final Entity uml

    - #### public static final Entity uuml

    - #### public static final Entity yacute

    - #### public static final Entity yen

    - #### public static final Entity yuml

    - #### public static final Entity zwj

    - #### public static final Entity zwnj

  - ### Constructor Detail

    - #### Entity(String name)

    - #### Entity(int name)

  - ### Method Detail

    - #### @SuppressWarnings(value: BuilderMethodWithSideEffects)
      void build(GroovyObject builder)